org.encog.ensemble.adaboost

## Class AdaBoost

- java.lang.Object
- - org.encog.ensemble.Ensemble
  - - org.encog.ensemble.adaboost.AdaBoost

-     public class AdaBoost
      extends Ensemble

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.encog.ensemble.Ensemble

      `Ensemble.NotPossibleInThisMethod`

  - ### Field Summary

    - ### Fields inherited from class org.encog.ensemble.Ensemble

      `aggregator, aggregatorDataSet, dataSetFactory, members, mlFactory, trainFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdaBoost(int iterationsT, int dataSetSize, EnsembleMLMethodFactory mlFactory, EnsembleTrainFactory trainFactory, EnsembleAggregator aggregator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMember(EnsembleML newMember)` Add a member to the ensemble
    `EnsembleTypes.ProblemType` | `getProblemType()` Return what type of problem this Ensemble is solving
    `void` | `initMembers()` Initialise ensemble components
    `void` | `train(double targetAccuracy, double selectionError, EnsembleDataSet testset, boolean verbose)` Train the ensemble to a target accuracy

    - ### Methods inherited from class org.encog.ensemble.Ensemble

      `compute, getAggregator, getMember, getTrainingSet, initMembersBySplits, setAggregator, setTrainingData, setTrainingDataFactory, setTrainingMethod, train`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdaBoost

          public AdaBoost(int iterationsT,
                  int dataSetSize,
                  EnsembleMLMethodFactory mlFactory,
                  EnsembleTrainFactory trainFactory,
                  EnsembleAggregator aggregator)

  - ### Method Detail

    - #### train

          public void train(double targetAccuracy,
                   double selectionError,
                   EnsembleDataSet testset,
                   boolean verbose)

      Description copied from class: `Ensemble`
      Train the ensemble to a target accuracy
      Overrides:
        `train` in class `Ensemble`
      Parameters:
        `targetAccuracy` - The target error.
        `selectionError` - The selection error.
        `testset` - The test set.
        `verbose` - Verbose mode?

    - #### initMembers

          public void initMembers()

      Description copied from class: `Ensemble`
      Initialise ensemble components
      Specified by:
        `initMembers` in class `Ensemble`

    - #### addMember

          public void addMember(EnsembleML newMember)
                         throws Ensemble.NotPossibleInThisMethod

      Description copied from class: `Ensemble`
      Add a member to the ensemble
      Overrides:
        `addMember` in class `Ensemble`
      Throws:
        `Ensemble.NotPossibleInThisMethod`

    - #### getProblemType

          public EnsembleTypes.ProblemType getProblemType()

      Description copied from class: `Ensemble`
      Return what type of problem this Ensemble is solving
      Specified by:
        `getProblemType` in class `Ensemble`
      Returns:
        The problem type.

Copyright © 2014. All Rights Reserved.